## ros-indigo-depthcloud-encoder 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(depthcloud_encoder)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED cv_bridge sensor_msgs image_transport message_filters roscpp pcl_conversions pcl_ros tf_conversions)
find_package(Boost REQUIRED COMPONENTS system thread)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}_lib
  CATKIN_DEPENDS cv_bridge sensor_msgs image_transport message_filters roscpp
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include 
  ${catkin_INCLUDE_DIRS} 
  ${Boost_INCLUDE_DIRS}
)
                    
link_directories(
  ${catkin_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)

## Declare a cpp executables and libraries
add_library(${PROJECT_NAME}_lib
   src/depthcloud_encoder.cpp
)
target_link_libraries(${PROJECT_NAME}_lib
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_executable(${PROJECT_NAME}_node
   src/depthcloud_node.cpp
)
target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME}_lib
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_lib ${PROJECT_NAME}_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

=== debian/changelog ===
ros-indigo-depthcloud-encoder (0.0.5-0trusty) trusty; urgency=high

  * Merge pull request #5 from psoetens/develop-closecloud
    Develop closecloud encoding
  * depthcloud: allow user to force use of depthmap or cloud source in case multiple options are available
    Without this, we would always subscribe to the cloud topic, even if it
    was not set in the launch file, but it was set in the rosparam server.
    Signed-off-by: Peter Soetens <mailto:peter@intermodalics.eu>
  * package: add dependencies to pcl_conversions and tf_conversions.
    Signed-off-by: Peter Soetens <mailto:peter@thesourceworks.com>
  * update package.xml to add pcl dependencies.
    Signed-off-by: Peter Soetens <mailto:peter@thesourceworks.com>
  * Multiply resolution by 6 by taking closer images and more efficient use of color channels.
    This patch also needs a change on the Depthcloud.js side.
    We could encode these mapping settings on a separate topic
    for Depthcloud.js to pickup again.
    Signed-off-by: Peter Soetens <mailto:peter@thesourceworks.com>
  * encoder: support encoding of PCL point clouds
    This does add a dependency to TF and PCL but makes the
    encoder much more flexible in what it can encode.
    Signed-off-by: Peter Soetens <mailto:peter@thesourceworks.com>
  * Changed to explicit casting
  * Contributors: Akin Sisbot, Peter Soetens, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-depthcloud-encoder (0.0.4-0trusty) trusty; urgency=high

  * source cleanup
  * basic cleanup
  * depricated launch package removed
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 16 Apr 2014 04:00:00 -0000

ros-indigo-depthcloud-encoder (0.0.3-0trusty) trusty; urgency=high

  * removing depthcloud_www from package.xml
  * 0.0.2 -> 0.0.3
  * adding nodelet to catkin dependencies
  * adding nodelet to package.xml
  * cleaning up depthcloud encoder repo
  * adding travis.yml
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Fri, 24 May 2013 04:00:00 -0000

ros-indigo-depthcloud-encoder (0.0.2-0trusty) trusty; urgency=high

  * 0.0.1 -> 0.0.2
  * Merge branch 'groovy-devel' of github.com:RobotWebTools/depthcloudjs into groovy-devel
  * adding depthcloud javascript & shader files
  * fixing conflict
  * removing launch file from www folder
  * adding ros launch file
  * adding default orientation to depthcloudjs
  * reorganization of depthcloud_www
  * first version of working launch file
  * moving simple_webserver.py to depthcloud_www/html
  * adding redirecting index.html
  * adding depthcloud_launch package
  * adding another crossdomain fix/patch to make CORS happy
  * removing launch file from www folder
  * adding ros launch file
  * minor
  * minor
  * sample html files
  * adding catkin files
  * adding meta package
  * minor
  * adding ROS node & nodelet wrapper
  * adding depthcloud encoder class
  * depthcloud encoder nodelet xml
  * revised catkin scripts
  * renamed www->depthcloud_www
  * removing tf encoding from pointcloud_image.cpp
  * added low-res pointcloud streaming + fixed param server lookup in pointcloud_image.cpp
  * Update CMakeLists.txt
  * fixing package.xml
  * removing lowres-demo folder.. creating demo/demo-low-res.html
  * package reorganization & adding pointcloud_image_streamer node
  * merged jkammerl/groovy-devel into upstream
  * merged package.xml from jkammerl #2 <https://github.com/RobotWebTools/depthcloud_encoder/issues/2>
  * merged package.xml from jkammerl
  * Merge pull request #7 <https://github.com/RobotWebTools/depthcloud_encoder/issues/7> from rctoris/groovy-devel
    fixes catkin_make build problem
  * fixed html page title for demo
  * fixes catkin_make build problem
  * adding low-res version
  * adding catkin as buildtool dependency
  * Merge pull request #5 <https://github.com/RobotWebTools/depthcloud_encoder/issues/5> from jkammerl/groovy-devel
    removing review tag from groovy-devel
  * removing review tag from groovy-devel
  * adding CMakeLists.txt to depthcoudjs
  * various fixes in demo code & moved shaders up
  * merged dgossow into jkammerl fork, removed pointcloud_image_streamer, moved depthcloud.js to root, updated interactivemarkers.js to most recent version
  * modified code to work in ros_video_streamer, and fixed coordinate computation
  * added tf support to demo
  * attempt to fix crossdomain access issues
  * depthcloud.js integration
  * reorganizing repository / adding pointcloud_image package
  * added shader url option to streamer
  * initial commit of demo code
  * minor
  * initial depth cloud plugin
  * dummy depthcloud module
  * Initial commit
  * Contributors: David Gossow, Interactive Manipulation, Julius Kammerl, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 16 May 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-depthcloud-encoder
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf-conversions
Homepage: http://ros.org/wiki/depthcloud_encoder
Standards-Version: 3.9.2

Package: ros-indigo-depthcloud-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf-conversions
Description: Point Cloud Encoder for Web-Based Streaming

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-depthcloud-encoder//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
